//                           _       _
// __      _____  __ ___   ___  __ _| |_ ___
// \ \ /\ / / _ \/ _` \ \ / / |/ _` | __/ _ \
//  \ V  V /  __/ (_| |\ V /| | (_| | ||  __/
//   \_/\_/ \___|\__,_| \_/ |_|\__,_|\__\___|
//
//  Copyright © 2016 - 2022 SeMI Technologies B.V. All rights reserved.
//
//  CONTACT: hello@semi.technology
//

// Code generated by go-swagger; DO NOT EDIT.

package objects

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"
	"github.com/go-openapi/strfmt"
)

// NewObjectsDeleteParams creates a new ObjectsDeleteParams object
// with the default values initialized.
func NewObjectsDeleteParams() *ObjectsDeleteParams {
	var ()
	return &ObjectsDeleteParams{

		timeout: cr.DefaultTimeout,
	}
}

// NewObjectsDeleteParamsWithTimeout creates a new ObjectsDeleteParams object
// with the default values initialized, and the ability to set a timeout on a request
func NewObjectsDeleteParamsWithTimeout(timeout time.Duration) *ObjectsDeleteParams {
	var ()
	return &ObjectsDeleteParams{

		timeout: timeout,
	}
}

// NewObjectsDeleteParamsWithContext creates a new ObjectsDeleteParams object
// with the default values initialized, and the ability to set a context for a request
func NewObjectsDeleteParamsWithContext(ctx context.Context) *ObjectsDeleteParams {
	var ()
	return &ObjectsDeleteParams{

		Context: ctx,
	}
}

// NewObjectsDeleteParamsWithHTTPClient creates a new ObjectsDeleteParams object
// with the default values initialized, and the ability to set a custom HTTPClient for a request
func NewObjectsDeleteParamsWithHTTPClient(client *http.Client) *ObjectsDeleteParams {
	var ()
	return &ObjectsDeleteParams{
		HTTPClient: client,
	}
}

/*ObjectsDeleteParams contains all the parameters to send to the API endpoint
for the objects delete operation typically these are written to a http.Request
*/
type ObjectsDeleteParams struct {

	/*ID
	  Unique ID of the Object.

	*/
	ID strfmt.UUID

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithTimeout adds the timeout to the objects delete params
func (o *ObjectsDeleteParams) WithTimeout(timeout time.Duration) *ObjectsDeleteParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the objects delete params
func (o *ObjectsDeleteParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the objects delete params
func (o *ObjectsDeleteParams) WithContext(ctx context.Context) *ObjectsDeleteParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the objects delete params
func (o *ObjectsDeleteParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the objects delete params
func (o *ObjectsDeleteParams) WithHTTPClient(client *http.Client) *ObjectsDeleteParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the objects delete params
func (o *ObjectsDeleteParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithID adds the id to the objects delete params
func (o *ObjectsDeleteParams) WithID(id strfmt.UUID) *ObjectsDeleteParams {
	o.SetID(id)
	return o
}

// SetID adds the id to the objects delete params
func (o *ObjectsDeleteParams) SetID(id strfmt.UUID) {
	o.ID = id
}

// WriteToRequest writes these params to a swagger request
func (o *ObjectsDeleteParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error

	// path param id
	if err := r.SetPathParam("id", o.ID.String()); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
